library(stockassessment)
load("run/model.RData")
FC<-list()
Ry<-2011:2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), rec.years=Ry, label="SQ all years", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.5,1,1), catchval=c(5454,NA,NA,NA), rec.years=Ry, label="TAC, then half", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.75,1,1), catchval=c(5454,NA,NA,NA), rec.years=Ry, label="TAC, then 3/4", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.9,1,1), catchval=c(5454,NA,NA,NA), rec.years=Ry, label="TAC, then scale .9", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,1.1,1,1), catchval=c(5454,NA,NA,NA),rec.years=Ry, label="TAC, then scale 1.1", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA),fval=c(NA,0.000001,0.000001, 0.000001), rec.years=Ry, label="TAC then zero", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA), fval=c(NA,0.23,0.23, 0.23), rec.years=Ry, label="TAC then Fmsy", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA), fval=c(NA,0.1361,0.1361, 0.1361), rec.years=Ry, label="TAC then adjusted Fmsy", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.1894,0.1894, 0.1894), rec.years=Ry, label="SQ then .1894", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA), fval=c(NA,0.69,0.69, 0.69), rec.years=Ry, label="TAC then Fpa", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA), fval=c(NA,0.41,0.41, 0.41), rec.years=Ry, label="TAC then Fp0.5", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(5454,NA,NA,NA), fval=c(NA,0.90,0.90, 0.90), rec.years=Ry, label="TAC then Flim", addTSB=TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,1,1,1), catchval=c(5454,NA,NA,NA), rec.years=Ry, 
                               label="TAC 5454 in 2021, then SQ", addTSB=TRUE, savesim=TRUE)
save(FC, file="run/forecast.RData")
